Bug 49545 - Formatted (parsed) view of Sample Result in Results Tree
Formatted (parsed) view of Sample Result in Results Tree
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
Nightly (Please specify date)
PC All
: P2 normal (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-07-03 05:50 UTC by Milamber
Modified: 2010-07-07 20:44 UTC (History)
0 users



Attachments
Patch to parsed view in sample result in tree results (16.00 KB, patch)
2010-07-03 05:52 UTC, Milamber
Details | Diff
Screenshot Parsed view (69.90 KB, image/png)
2010-07-03 05:52 UTC, Milamber
Details
Screenshot Raw view (73.00 KB, image/png)
2010-07-03 05:53 UTC, Milamber
Details
Patch to parsed view in sample result in tree results V2 (18.16 KB, patch)
2010-07-07 20:02 UTC, Milamber
Details | Diff
Screenshot Parsed view V2 (69.85 KB, image/png)
2010-07-07 20:03 UTC, Milamber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milamber 2010-07-03 05:50:36 UTC
For better display and copy/paste with Calc/Excel
Comment 1 Milamber 2010-07-03 05:52:04 UTC
Created attachment 25688 [details]
Patch to parsed view in sample result in tree results
Comment 2 Milamber 2010-07-03 05:52:50 UTC
Created attachment 25689 [details]
Screenshot Parsed view
Comment 3 Milamber 2010-07-03 05:53:30 UTC
Created attachment 25690 [details]
Screenshot Raw view
Comment 4 Sebb 2010-07-05 07:44:53 UTC
Looks good, except that the first table columns are not resizable, and the value fields don't wrap, so it can be very difficult to read the Response Message field - e.g. if there is an error derived from an Exception.

I think the Name columns could be made narrower initially.

Also, the Parsed view is selected by default; I think the Raw view should be the default.
Comment 5 Milamber 2010-07-07 20:01:37 UTC
New patch.


(In reply to comment #4)
> Looks good, except that the first table columns are not resizable, and the
> value fields don't wrap, so it can be very difficult to read the Response
> Message field - e.g. if there is an error derived from an Exception.

Now, the first table's columns are resizable, with (via) a empty header

Wrap line is very difficult to do in a Jtable. (best method seems to use html tag <br> to new line...).
If there is an error Exception, best view is Raw tab...


> 
> I think the Name columns could be made narrower initially.

yes, I've fixed the width to 180 pixels and with 300 pixels max (for I18N labels)

> 
> Also, the Parsed view is selected by default; I think the Raw view should be
> the default.

Done, with remember last tab selected

Milamber
Comment 6 Milamber 2010-07-07 20:02:31 UTC
Created attachment 25731 [details]
Patch to parsed view in sample result in tree results V2
Comment 7 Milamber 2010-07-07 20:03:32 UTC
Created attachment 25732 [details]
Screenshot Parsed view V2
Comment 8 Sebb 2010-07-07 20:44:07 UTC
Thanks!

I had to remove the @Override markers from the methods that implement interface methods, as Java 1.5 does not allow @Override to be applied to implementations, only to "real" overrides.

URL: http://svn.apache.org/viewvc?rev=961546&view=rev
Log:
Bug 49545 - Formatted (parsed) view of Sample Result in Results Tree

Modified:
   jakarta/jmeter/trunk/src/components/org/apache/jmeter/visualizers/SamplerResultTab.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
   jakarta/jmeter/trunk/xdocs/changes.xml